Page MenuHomePhabricator

Implement user_edit_entity in all wikibase scripts
Open, LowPublic

Description

T85242 added user_edit_entity , with 'pretty' JSON diff, and better default error handling.

Existing wikibase scripts should be updated to use user_edit_entity .

  • scripts/claimit.py
  • scripts/coordinate_import.py
  • scripts/harvest_template.py
  • scripts/illustrate_wikidata.py
  • scripts/newitem.py

Event Timeline

jayvdb created this task.Jan 24 2015, 2:03 AM
jayvdb claimed this task.
jayvdb raised the priority of this task from to Needs Triage.
jayvdb updated the task description. (Show Details)
jayvdb added subscribers: jayvdb, Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2015, 2:03 AM

Change 332333 had a related patch set uploaded (by Matěj Suchánek):
Polish WikidataBot.user_edit_entity

https://gerrit.wikimedia.org/r/332333

Xqt closed this task as Resolved.Apr 8 2017, 2:52 PM

Change 332333 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Polish WikidataBot.user_edit_entity

https://gerrit.wikimedia.org/r/332333

matej_suchanek reopened this task as Open.Apr 8 2017, 3:19 PM
matej_suchanek updated the task description. (Show Details)
matej_suchanek removed a project: Patch-For-Review.

Change 332336 had a related patch set uploaded (by Matěj Suchánek):
[pywikibot/core@master] [IMPR] Update newitem.py to use WikidataBot.user_edit_entity

https://gerrit.wikimedia.org/r/332336

Xqt triaged this task as Low priority.Apr 14 2017, 5:13 PM

Change 332336 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Update newitem.py to use WikidataBot.user_edit_entity

https://gerrit.wikimedia.org/r/332336

matej_suchanek updated the task description. (Show Details)

Change 348479 had a related patch set (by Matěj Suchánek) published:
[pywikibot/core@master] [IMPR] Introduce user_add_claim and make ItemPage.addClaim asynchronous

https://gerrit.wikimedia.org/r/348479

Change 348479 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Introduce user_add_claim and allow asynchronous ItemPage.addClaim

https://gerrit.wikimedia.org/r/348479

matej_suchanek updated the task description. (Show Details)
matej_suchanek removed matej_suchanek as the assignee of this task.Jun 19 2017, 9:42 AM
matej_suchanek added a subscriber: matej_suchanek.